### Function

# EDataServer util_source_compare_for_sort

since: 3.40

#### Declaration [src]

    gint
    e_util_source_compare_for_sort (
      _ESource* source_a,
      _ESource* source_b
    )

#### Description [src]

Compares two `ESource`-s in a way suitable for user interface. It can be used as a `GCompareFunc`.

This is also used by e_source_registry_build_display_tree().

Available since: 3.40

#### Parameters

`source_a`

  Type: `_ESource*`

  The first `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`source_b`

  Type: `_ESource*`

  The second `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

An integer less than, equal to, or greater than zero, if `source_a` is <, == or > than `source_b`.